var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDatabaseComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-database").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("g", null,
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#40C6F0', d: "M18 0H6a6 6 0 0 0-6 6v12a6 6 0 0 0 6 6h12a6 6 0 0 0 6-6V6a6 6 0 0 0-6-6Z" }),
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M18 9.467v8.666a.534.534 0 0 1-.533.534H6.319c-.295 0-.319-.24-.319-.534V5.867c0-.295.239-.534.533-.534h7.25c.139 0 .273.055.372.152l3.684 3.6a.535.535 0 0 1 .161.382Zm-7.03.707c0 .493-.267.924-.666 1.155v.692h1v1.333h-1v.82h1v1.333H9.971a1 1 0 0 1-1-1V11.33a1.333 1.333 0 1 1 2-1.155l-.001-.001Zm4.318 3.18H12.62V12.02h2.667v1.333l.001.001Zm0 2.153H12.62v-1.333h2.667v1.333h.001Zm0-4.333H12.62V9.84h2.667v1.334h.001Z", clipRule: "evenodd" })));
}
var IconDatabase = React.forwardRef(IconDatabaseComponent);
export default IconDatabase;
